org.encog.mathutil.rbf

## Class BasicRBF

- java.lang.Object
- - org.encog.mathutil.rbf.BasicRBF

- All Implemented Interfaces:
    Serializable, RadialBasisFunction
  Direct Known Subclasses:
    GaussianFunction, InverseMultiquadricFunction, MexicanHatFunction, MultiquadricFunction

      public abstract class BasicRBF
      extends Object
      implements RadialBasisFunction

  Basic radial basis function. Defines centers for each of the RBF's. All RBF's have a common radius and peak.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicRBF()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getCenter(int dimension)` Get the center of this RBD.
    `double[]` | `getCenters()`
    `int` | `getDimensions()`
    `double` | `getPeak()` Get the center of this RBD.
    `double` | `getWidth()`
    `void` | `setCenters(double[] centers)` Set the centers.
    `void` | `setPeak(double thePeak)` Set the peak.
    `void` | `setWidth(double theWidth)` Set the width.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.encog.mathutil.rbf.RadialBasisFunction

      `calculate`

- - ### Constructor Detail

    - #### BasicRBF

          public BasicRBF()

  - ### Method Detail

    - #### getCenter

          public final double getCenter(int dimension)

      Get the center of this RBD.
      Specified by:
        `getCenter` in interface `RadialBasisFunction`
      Parameters:
        `dimension` - The dimension to get the center for.
      Returns:
        The center of the RBF.

    - #### getCenters

          public final double[] getCenters()

      Specified by:
        `getCenters` in interface `RadialBasisFunction`
      Returns:
        Get the centers.

    - #### getDimensions

          public final int getDimensions()

      Specified by:
        `getDimensions` in interface `RadialBasisFunction`
      Returns:
        The dimensions in this RBF.

    - #### getPeak

          public final double getPeak()

      Get the center of this RBD.
      Specified by:
        `getPeak` in interface `RadialBasisFunction`
      Returns:
        The center of the RBF.

    - #### getWidth

          public final double getWidth()

      Specified by:
        `getWidth` in interface `RadialBasisFunction`
      Returns:
        The width of the RBF.

    - #### setCenters

          public final void setCenters(double[] centers)

      Set the centers.
      Specified by:
        `setCenters` in interface `RadialBasisFunction`
      Parameters:
        `centers` - The centers.

    - #### setPeak

          public final void setPeak(double thePeak)

      Set the peak.
      Specified by:
        `setPeak` in interface `RadialBasisFunction`
      Parameters:
        `thePeak` - The peak.

    - #### setWidth

          public final void setWidth(double theWidth)

      Set the width.
      Specified by:
        `setWidth` in interface `RadialBasisFunction`
      Parameters:
        `theWidth` - The width.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.